Subject: Re: bug#70068: [PATCH] Don't warn about lexical binding in lisp-interaction-mode

From: Mattias Engdegård <[email-masked]>
Date: Wed, 3 Apr 2024 21:07:19 +0200

3 apr. 2024 kl. 20.17 skrev Philip Kaludercic <[email-masked]>:

> You are right, I made a mistake; What I want to say is this:

> -      (unless (local-variable-p 'lexical-binding)
> +      (when (or (not (local-variable-p 'lexical-binding))
> +                (null lexical-binding))

Are you sure that you didn't mean

    (unless (or (local-variable-p 'lexical-binding)
                lexical-binding)

a.k.a.

    (when (and (not (local-variable-p 'lexical-binding)
               (not lexical-binding))

which may or may not make more sense? But how would either of these work, given that flymake runs a byte-compilation in a spawned Emacs and, as far as I can tell, propagates neither the buffer mode nor the lexical-binding value to that process?